const system=require("../../system");
const Dao=require("../dao.base");
class EsettlecommissionDao extends Dao{
  constructor(){
    super(Dao.getModelName(EsettlecommissionDao));
  }

  extraWhere(obj,w){
    //如果是我的客户
    if(obj.userIds) {
      w["user_id"] = {
        [this.db.Op.in]: obj.userIds
      };
    }
    return w;
  }
}
module.exports=EsettlecommissionDao;
